Index: modules/m_stats.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_stats.c,v
retrieving revision 1.219.2.4
diff -b -u -r1.219.2.4 m_stats.c
--- modules/m_stats.c	4 Aug 2004 00:21:11 -0000	1.219.2.4
+++ modules/m_stats.c	19 Aug 2004 22:16:22 -0000
@@ -51,7 +51,7 @@
 #include "s_newconf.h"
 #include "hash.h"
 
-static int m_stats (struct Client *, struct Client *, int, const char **);
+static int m_stats(struct Client *, struct Client *, int, const char **);
 
 struct Message stats_msgtab = {
 	"STATS", 0, 0, 0, MFLG_SLOW,
@@ -63,9 +63,9 @@
 
 mapi_clist_av1 stats_clist[] = { &stats_msgtab, NULL };
 mapi_hlist_av1 stats_hlist[] = {
-	{ "doing_stats",	&doing_stats_hook },
-	{ "doing_stats_p",	&doing_stats_p_hook },
-	{ NULL, NULL }
+	{"doing_stats", &doing_stats_hook},
+	{"doing_stats_p", &doing_stats_p_hook},
+	{NULL, NULL}
 };
 
 DECLARE_MODULE_AV1(stats, NULL, NULL, stats_clist, stats_hlist, NULL, "$Revision: 1.219.2.4 $");
@@ -73,8 +73,7 @@
 const char *Lformat = "%s %u %u %u %u %u :%u %u %s";
 
 static void stats_l_list(struct Client *s, const char *, int, int, dlink_list *, char);
-static void stats_l_client(struct Client *source_p, struct Client *target_p,
-				char statchar);
+static void stats_l_client(struct Client *source_p, struct Client *target_p, char statchar);
 
 static void stats_spy(struct Client *, char, const char *);
 static void stats_p_spy(struct Client *);
@@ -88,7 +87,7 @@
 	int need_admin;
 };
 
-static void stats_adns_servers (struct Client *);
+static void stats_adns_servers(struct Client *);
 static void stats_delay(struct Client *);
 static void stats_hash(struct Client *);
 static void stats_connect(struct Client *);
@@ -121,7 +120,7 @@
 static void stats_ltrace(struct Client *, int, const char **);
 static void stats_ziplinks(struct Client *);
 
-static void report_tklines (struct Client *, dlink_list *);
+static void report_tklines(struct Client *, dlink_list *);
 
 /* This table contains the possible stats items, in order:
  * stats letter,  function to call, operonly? adminonly?
@@ -129,52 +128,52 @@
  */
 static struct StatsStruct stats_cmd_table[] = {
     /* letter     function        need_oper need_admin */
-	{'a', stats_adns_servers,	1, 1, },
-	{'A', stats_adns_servers,	1, 1, },
-	{'b', stats_delay,		1, 1, },
-	{'B', stats_hash,		1, 1, },
-	{'c', stats_connect,		0, 0, },
-	{'C', stats_connect,		0, 0, },
-	{'d', stats_tdeny,		1, 0, },
-	{'D', stats_deny,		1, 0, },
-	{'e', stats_exempt,		1, 0, },
-	{'E', stats_events,		1, 1, },
-	{'f', fd_dump,			1, 1, },
-	{'F', fd_dump,			1, 1, },
-	{'g', stats_pending_glines,	1, 0, },
-	{'G', stats_glines,		1, 0, },
-	{'h', stats_hubleaf,		0, 0, },
-	{'H', stats_hubleaf,		0, 0, },
-	{'i', stats_auth,		0, 0, },
-	{'I', stats_auth,		0, 0, },
-	{'k', stats_tklines,		0, 0, },
-	{'K', stats_klines,		0, 0, },
-	{'l', stats_ltrace,		0, 0, },
-	{'L', stats_ltrace,		0, 0, },
-	{'m', stats_messages,		0, 0, },
-	{'M', stats_messages,		0, 0, },
-	{'o', stats_oper,		0, 0, },
-	{'O', stats_oper,		0, 0, },
-	{'p', stats_operedup,		0, 0, },
-	{'P', stats_ports,		0, 0, },
-	{'q', stats_tresv,		1, 0, },
-	{'Q', stats_resv,		1, 0, },
-	{'r', stats_usage,		1, 0, },
-	{'R', stats_usage,		1, 0, },
-	{'t', stats_tstats,		1, 0, },
-	{'T', stats_tstats,		1, 0, },
-	{'u', stats_uptime,		0, 0, },
-	{'U', stats_shared,		1, 0, },
-	{'v', stats_servers,		0, 0, },
-	{'V', stats_servers,		0, 0, },
-	{'x', stats_tgecos,		1, 0, },
-	{'X', stats_gecos,		1, 0, },
-	{'y', stats_class,		0, 0, },
-	{'Y', stats_class,		0, 0, },
-	{'z', stats_memory,		1, 0, },
-	{'Z', stats_ziplinks,		1, 0, },
-	{'?', stats_servlinks,		0, 0, },
-	{(char) 0, (void (*)()) 0, 	0, 0, }
+	{'a', stats_adns_servers, 1, 1,},
+	{'A', stats_adns_servers, 1, 1,},
+	{'b', stats_delay, 1, 1,},
+	{'B', stats_hash, 1, 1,},
+	{'c', stats_connect, 0, 0,},
+	{'C', stats_connect, 0, 0,},
+	{'d', stats_tdeny, 1, 0,},
+	{'D', stats_deny, 1, 0,},
+	{'e', stats_exempt, 1, 0,},
+	{'E', stats_events, 1, 1,},
+	{'f', fd_dump, 1, 1,},
+	{'F', fd_dump, 1, 1,},
+	{'g', stats_pending_glines, 1, 0,},
+	{'G', stats_glines, 1, 0,},
+	{'h', stats_hubleaf, 0, 0,},
+	{'H', stats_hubleaf, 0, 0,},
+	{'i', stats_auth, 0, 0,},
+	{'I', stats_auth, 0, 0,},
+	{'k', stats_tklines, 0, 0,},
+	{'K', stats_klines, 0, 0,},
+	{'l', stats_ltrace, 0, 0,},
+	{'L', stats_ltrace, 0, 0,},
+	{'m', stats_messages, 0, 0,},
+	{'M', stats_messages, 0, 0,},
+	{'o', stats_oper, 0, 0,},
+	{'O', stats_oper, 0, 0,},
+	{'p', stats_operedup, 0, 0,},
+	{'P', stats_ports, 0, 0,},
+	{'q', stats_tresv, 1, 0,},
+	{'Q', stats_resv, 1, 0,},
+	{'r', stats_usage, 1, 0,},
+	{'R', stats_usage, 1, 0,},
+	{'t', stats_tstats, 1, 0,},
+	{'T', stats_tstats, 1, 0,},
+	{'u', stats_uptime, 0, 0,},
+	{'U', stats_shared, 1, 0,},
+	{'v', stats_servers, 0, 0,},
+	{'V', stats_servers, 0, 0,},
+	{'x', stats_tgecos, 1, 0,},
+	{'X', stats_gecos, 1, 0,},
+	{'y', stats_class, 0, 0,},
+	{'Y', stats_class, 0, 0,},
+	{'z', stats_memory, 1, 0,},
+	{'Z', stats_ziplinks, 1, 0,},
+	{'?', stats_servlinks, 0, 0,},
+	{(char) 0, (void (*)()) 0, 0, 0,}
 };
 
 /*
@@ -211,10 +210,10 @@
 			last_used = CurrentTime;
 	}
 
-	if(hunt_server (client_p, source_p, ":%s STATS %s :%s", 2, parc, parv) != HUNTED_ISME)
+	if(hunt_server(client_p, source_p, ":%s STATS %s :%s", 2, parc, parv) != HUNTED_ISME)
 		return 0;
 
-	for (i = 0; stats_cmd_table[i].handler; i++)
+	for(i = 0; stats_cmd_table[i].handler; i++)
 	{
 		if(stats_cmd_table[i].letter == statchar)
 		{
@@ -222,25 +221,24 @@
 			/* Called for remote clients and for local opers, so check need_admin
 			 * and need_oper
 			 */
-			if((stats_cmd_table[i].need_admin && !IsOperAdmin (source_p)) ||
-			   (stats_cmd_table[i].need_oper && !IsOper (source_p)))
+			if((stats_cmd_table[i].need_admin && !IsOperAdmin(source_p)) ||
+			   (stats_cmd_table[i].need_oper && !IsOper(source_p)))
 			{
 				sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-						   form_str (ERR_NOPRIVILEGES));
+						   form_str(ERR_NOPRIVILEGES));
 				break;
 			}
 
 			/* Blah, stats L needs the parameters, none of the others do.. */
 			if(statchar == 'L' || statchar == 'l')
-				stats_cmd_table[i].handler (source_p, parc, parv);
+				stats_cmd_table[i].handler(source_p, parc, parv);
 			else
-				stats_cmd_table[i].handler (source_p);
+				stats_cmd_table[i].handler(source_p);
 		}
 	}
 
 	/* Send the end of stats notice, and the stats_spy */
-	sendto_one_numeric(source_p, RPL_ENDOFSTATS, 
-			   form_str(RPL_ENDOFSTATS), statchar);
+	sendto_one_numeric(source_p, RPL_ENDOFSTATS, form_str(RPL_ENDOFSTATS), statchar);
 
 	if((statchar != 'L') && (statchar != 'l'))
 		stats_spy(source_p, statchar, NULL);
@@ -249,9 +247,9 @@
 }
 
 static void
-stats_adns_servers (struct Client *source_p)
+stats_adns_servers(struct Client *source_p)
 {
-	report_adns_servers (source_p);
+	report_adns_servers(source_p);
 }
 
 static void
@@ -264,11 +262,9 @@
 	HASH_WALK(i, U_MAX, ptr, ndTable)
 	{
 		nd = ptr->data;
-		sendto_one_notice(source_p, "Delaying: %s for %ld",
-				nd->name, (long) nd->expire);
+		sendto_one_notice(source_p, "Delaying: %s for %ld", nd->name, (long) nd->expire);
 	}
-	HASH_WALK_END
-}
+HASH_WALK_END}
 
 static void
 stats_hash(struct Client *source_p)
@@ -285,11 +281,9 @@
 	dlink_node *ptr;
 
 	if((ConfigFileEntry.stats_c_oper_only || 
-	    (ConfigServerHide.flatten_links && !IsExemptShide(source_p))) &&
-	    !IsOper(source_p))
+	    (ConfigServerHide.flatten_links && !IsExemptShide(source_p))) && !IsOper(source_p))
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str(ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
@@ -318,15 +312,13 @@
 
 		*s = '\0';
 
-		sendto_one_numeric(source_p, RPL_STATSCLINE, 
-				form_str(RPL_STATSCLINE),
+		sendto_one_numeric(source_p, RPL_STATSCLINE, form_str(RPL_STATSCLINE),
 #ifndef HIDE_SERVERS_IPS
 				server_p->host,
 #else
 				"*@127.0.0.1", 
 #endif
-				buf, server_p->name,
-				server_p->port, server_p->class_name);
+				   buf, server_p->name, server_p->port, server_p->class_name);
 	}
 }
 
@@ -337,16 +329,16 @@
  * side effects - client is given temp dline list.
  */
 static void
-stats_tdeny (struct Client *source_p)
+stats_tdeny(struct Client *source_p)
 {
 	char *host, *pass, *user, *oper_reason;
 	struct AddressRec *arec;
 	struct ConfItem *aconf;
 	int i;
 
-	for (i = 0; i < ATABLE_SIZE; i++)
+	for(i = 0; i < ATABLE_SIZE; i++)
 	{
-		for (arec = atable[i]; arec; arec = arec->next)
+		for(arec = atable[i]; arec; arec = arec->next)
 		{
 			if(arec->type == CONF_DLINE)
 			{
@@ -355,10 +347,11 @@
 				if(!(aconf->flags & CONF_FLAGS_TEMPORARY))
 					continue;
 
-				get_printable_kline(source_p, aconf, &host, &pass, &user, &oper_reason);
+				get_printable_kline(source_p, aconf, &host, &pass, &user,
+						    &oper_reason);
 
 				sendto_one_numeric(source_p, RPL_STATSDLINE, 
-						   form_str (RPL_STATSDLINE),
+						   form_str(RPL_STATSDLINE),
 						   'd', host, pass,
 						   oper_reason ? "|" : "",
 						   oper_reason ? oper_reason : "");
@@ -374,16 +367,16 @@
  * side effects - client is given dline list.
  */
 static void
-stats_deny (struct Client *source_p)
+stats_deny(struct Client *source_p)
 {
 	char *host, *pass, *user, *oper_reason;
 	struct AddressRec *arec;
 	struct ConfItem *aconf;
 	int i;
 
-	for (i = 0; i < ATABLE_SIZE; i++)
+	for(i = 0; i < ATABLE_SIZE; i++)
 	{
-		for (arec = atable[i]; arec; arec = arec->next)
+		for(arec = atable[i]; arec; arec = arec->next)
 		{
 			if(arec->type == CONF_DLINE)
 			{
@@ -392,10 +385,11 @@
 				if(aconf->flags & CONF_FLAGS_TEMPORARY)
 					continue;
 
-				get_printable_kline(source_p, aconf, &host, &pass, &user, &oper_reason);
+				get_printable_kline(source_p, aconf, &host, &pass, &user,
+						    &oper_reason);
 
 				sendto_one_numeric(source_p, RPL_STATSDLINE, 
-						   form_str (RPL_STATSDLINE),
+						   form_str(RPL_STATSDLINE),
 						   'D', host, pass,
 						   oper_reason ? "|" : "",
 						   oper_reason ? oper_reason : "");
@@ -421,19 +415,18 @@
 
 	if(ConfigFileEntry.stats_e_disabled)
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
-	for (i = 0; i < ATABLE_SIZE; i++)
+	for(i = 0; i < ATABLE_SIZE; i++)
 	{
-		for (arec = atable[i]; arec; arec = arec->next)
+		for(arec = atable[i]; arec; arec = arec->next)
 		{
 			if(arec->type == CONF_EXEMPTDLINE)
 			{
 				aconf = arec->aconf;
-				get_printable_conf (aconf, &name, &host, &pass,
+				get_printable_conf(aconf, &name, &host, &pass,
 						    &user, &port, &classname);
 
 				sendto_one_numeric(source_p, RPL_STATSDLINE, 
@@ -441,13 +434,14 @@
 						   'e', host, pass, "", "");
 			}
 		}
-	}}
+	}
+}
 
 
 static void
-stats_events (struct Client *source_p)
+stats_events(struct Client *source_p)
 {
-	show_events (source_p);
+	show_events(source_p);
 }
 
 /* stats_pending_glines()
@@ -457,7 +451,7 @@
  * side effects - client is shown list of pending glines
  */
 static void
-stats_pending_glines (struct Client *source_p)
+stats_pending_glines(struct Client *source_p)
 {
 	if(ConfigFileEntry.glines)
 	{
@@ -466,12 +460,12 @@
 		char timebuffer[MAX_DATE_STRING];
 		struct tm *tmptr;
 
-		DLINK_FOREACH (pending_node, pending_glines.head)
+		DLINK_FOREACH(pending_node, pending_glines.head)
 		{
 			glp_ptr = pending_node->data;
 
-			tmptr = localtime (&glp_ptr->time_request1);
-			strftime (timebuffer, MAX_DATE_STRING, "%Y/%m/%d %H:%M:%S", tmptr);
+			tmptr = localtime(&glp_ptr->time_request1);
+			strftime(timebuffer, MAX_DATE_STRING, "%Y/%m/%d %H:%M:%S", tmptr);
 
 			sendto_one_notice(source_p,
 				    ":1) %s!%s@%s on %s requested gline at %s for %s@%s [%s]",
@@ -482,8 +476,8 @@
 
 			if(glp_ptr->oper_nick2[0])
 			{
-				tmptr = localtime (&glp_ptr->time_request2);
-				strftime (timebuffer, MAX_DATE_STRING, "%Y/%m/%d %H:%M:%S", tmptr);
+				tmptr = localtime(&glp_ptr->time_request2);
+				strftime(timebuffer, MAX_DATE_STRING, "%Y/%m/%d %H:%M:%S", tmptr);
 				sendto_one_notice(source_p,
 					    ":2) %s!%s@%s on %s requested gline at %s for %s@%s [%s]",
 					    glp_ptr->oper_nick2,
@@ -493,7 +487,7 @@
 			}
 		}
 
-		if(dlink_list_length (&pending_glines) > 0)
+		if(dlink_list_length(&pending_glines) > 0)
 			sendto_one_notice(source_p, ":End of Pending G-lines");
 	}
 	else
@@ -508,14 +502,14 @@
  * side effects - client is shown list of glines
  */
 static void
-stats_glines (struct Client *source_p)
+stats_glines(struct Client *source_p)
 {
 	if(ConfigFileEntry.glines)
 	{
 		dlink_node *gline_node;
 		struct ConfItem *kill_ptr;
 
-		DLINK_FOREACH_PREV (gline_node, glines.tail)
+		DLINK_FOREACH_PREV(gline_node, glines.tail)
 		{
 			kill_ptr = gline_node->data;
 
@@ -534,17 +528,15 @@
 
 
 static void
-stats_hubleaf (struct Client *source_p)
+stats_hubleaf(struct Client *source_p)
 {
 	struct remote_conf *hub_p;
 	dlink_node *ptr;
 
 	if((ConfigFileEntry.stats_h_oper_only || 
-	    (ConfigServerHide.flatten_links && !IsExemptShide(source_p))) &&
-	    !IsOper(source_p))
+	    (ConfigServerHide.flatten_links && !IsExemptShide(source_p))) && !IsOper(source_p))
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
@@ -554,45 +546,42 @@
 
 		if(hub_p->flags & CONF_HUB)
 			sendto_one_numeric(source_p, RPL_STATSHLINE,
-					form_str(RPL_STATSHLINE),
-					hub_p->host, hub_p->server);
+					   form_str(RPL_STATSHLINE), hub_p->host, hub_p->server);
 		else
 			sendto_one_numeric(source_p, RPL_STATSLLINE,
-					form_str(RPL_STATSLLINE),
-					hub_p->host, hub_p->server);
+					   form_str(RPL_STATSLLINE), hub_p->host, hub_p->server);
 	}
 }
 
 
 static void
-stats_auth (struct Client *source_p)
+stats_auth(struct Client *source_p)
 {
 	/* Oper only, if unopered, return ERR_NOPRIVS */
-	if((ConfigFileEntry.stats_i_oper_only == 2) && !IsOper (source_p))
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+	if((ConfigFileEntry.stats_i_oper_only == 2) && !IsOper(source_p))
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 
 	/* If unopered, Only return matching auth blocks */
-	else if((ConfigFileEntry.stats_i_oper_only == 1) && !IsOper (source_p))
+	else if((ConfigFileEntry.stats_i_oper_only == 1) && !IsOper(source_p))
 	{
 		struct ConfItem *aconf;
 		char *name, *host, *pass, *user, *classname;
 		int port;
 
-		if(MyConnect (source_p))
-			aconf = find_conf_by_address (source_p->host,
-						      (struct sockaddr *)&source_p->localClient->ip,
+		if(MyConnect(source_p))
+			aconf = find_conf_by_address(source_p->host,
+						     (struct sockaddr *) &source_p->localClient->ip,
 						      CONF_CLIENT,
 						      source_p->localClient->ip.ss_family,
 						      source_p->username);
 		else
-			aconf = find_conf_by_address (source_p->host, NULL, CONF_CLIENT,
+			aconf = find_conf_by_address(source_p->host, NULL, CONF_CLIENT,
 						      0, source_p->username);
 
 		if(aconf == NULL)
 			return;
 
-		get_printable_conf (aconf, &name, &host, &pass, &user, &port, &classname);
+		get_printable_conf(aconf, &name, &host, &pass, &user, &port, &classname);
 
 		sendto_one_numeric(source_p, RPL_STATSILINE, form_str(RPL_STATSILINE),
 				   name, show_iline_prefix(source_p, aconf, user),
@@ -601,32 +590,31 @@
 
 	/* Theyre opered, or allowed to see all auth blocks */
 	else
-		report_auth (source_p);
+		report_auth(source_p);
 }
 
 
 static void
-stats_tklines (struct Client *source_p)
+stats_tklines(struct Client *source_p)
 {
 	/* Oper only, if unopered, return ERR_NOPRIVS */
-	if((ConfigFileEntry.stats_k_oper_only == 2) && !IsOper (source_p))
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+	if((ConfigFileEntry.stats_k_oper_only == 2) && !IsOper(source_p))
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 
 	/* If unopered, Only return matching klines */
-	else if((ConfigFileEntry.stats_k_oper_only == 1) && !IsOper (source_p))
+	else if((ConfigFileEntry.stats_k_oper_only == 1) && !IsOper(source_p))
 	{
 		struct ConfItem *aconf;
 		char *host, *pass, *user, *oper_reason;
 
-		if(MyConnect (source_p))
-			aconf = find_conf_by_address (source_p->host,
-						      (struct sockaddr *)&source_p->localClient->ip,
+		if(MyConnect(source_p))
+			aconf = find_conf_by_address(source_p->host,
+						     (struct sockaddr *) &source_p->localClient->ip,
 						      CONF_KILL,
 						      source_p->localClient->ip.ss_family,
 						      source_p->username);
 		else
-			aconf = find_conf_by_address (source_p->host, NULL, CONF_KILL,
+			aconf = find_conf_by_address(source_p->host, NULL, CONF_KILL,
 						      0, source_p->username);
 
 		if(aconf == NULL)
@@ -663,43 +651,41 @@
 	char *user;
 	char *oper_reason;
 
-	DLINK_FOREACH (ptr, tkline_list->head)
+	DLINK_FOREACH(ptr, tkline_list->head)
 	{
 		aconf = ptr->data;
 
 		get_printable_kline(source_p, aconf, &host, &pass, &user, &oper_reason);
 
 		sendto_one_numeric(source_p, RPL_STATSKLINE,
-				   form_str (RPL_STATSKLINE),
+				   form_str(RPL_STATSKLINE),
 				   'k', host, user, pass,
-				   oper_reason ? "|" : "",
-				   oper_reason ? oper_reason : "");
+				   oper_reason ? "|" : "", oper_reason ? oper_reason : "");
 	}
 }
 
 static void
-stats_klines (struct Client *source_p)
+stats_klines(struct Client *source_p)
 {
 	/* Oper only, if unopered, return ERR_NOPRIVS */
-	if((ConfigFileEntry.stats_k_oper_only == 2) && !IsOper (source_p))
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+	if((ConfigFileEntry.stats_k_oper_only == 2) && !IsOper(source_p))
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 
 	/* If unopered, Only return matching klines */
-	else if((ConfigFileEntry.stats_k_oper_only == 1) && !IsOper (source_p))
+	else if((ConfigFileEntry.stats_k_oper_only == 1) && !IsOper(source_p))
 	{
 		struct ConfItem *aconf;
 		char *host, *pass, *user, *oper_reason;
 
 		/* search for a kline */
-		if(MyConnect (source_p))
-			aconf = find_conf_by_address (source_p->host,
-						      (struct sockaddr *)&source_p->localClient->ip,
+		if(MyConnect(source_p))
+			aconf = find_conf_by_address(source_p->host,
+						     (struct sockaddr *) &source_p->localClient->ip,
 						      CONF_KILL,
 						      source_p->localClient->ip.ss_family,
 						      source_p->username);
 		else
-			aconf = find_conf_by_address (source_p->host, NULL, CONF_KILL,
+			aconf = find_conf_by_address(source_p->host, NULL, CONF_KILL,
 						      0, source_p->username);
 
 		if(aconf == NULL)
@@ -717,7 +703,7 @@
 	}
 	/* Theyre opered, or allowed to see all klines */
 	else
-		report_Klines (source_p);
+		report_Klines(source_p);
 }
 
 static void
@@ -734,8 +720,7 @@
 
 	if(!IsOper(source_p) && ConfigFileEntry.stats_o_oper_only)
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
@@ -758,23 +743,23 @@
  * side effects - client is shown a list of active opers
  */
 static void
-stats_operedup (struct Client *source_p)
+stats_operedup(struct Client *source_p)
 {
 	struct Client *target_p;
 	dlink_node *oper_ptr;
 
-	DLINK_FOREACH (oper_ptr, oper_list.head)
+	DLINK_FOREACH(oper_ptr, oper_list.head)
 	{
 		target_p = oper_ptr->data;
 
 		if(IsOperInvis(target_p) && !IsOper(source_p))
 			continue;
 
-		if(MyClient (source_p) && IsOper (source_p))
+		if(MyClient(source_p) && IsOper(source_p))
 		{
 			sendto_one_numeric(source_p, RPL_STATSDEBUG,
 					   "p :[%c][%s] %s (%s@%s) Idle: %d",
-					   IsAdmin (target_p) ? 'A' : 'O',
+					   IsAdmin(target_p) ? 'A' : 'O',
 					   get_oper_privs(target_p->flags2),
 					   target_p->name, target_p->username, target_p->host,
 					   (int) (CurrentTime - target_p->localClient->last));
@@ -783,27 +768,25 @@
 		{
 			sendto_one_numeric(source_p, RPL_STATSDEBUG,
 					   "p :[%c] %s (%s@%s) Idle: %d",
-					   IsAdmin (target_p) ? 'A' : 'O',
+					   IsAdmin(target_p) ? 'A' : 'O',
 					   target_p->name, target_p->username, target_p->host,
 					   (int) (CurrentTime - target_p->localClient->last));
 		}
 	}
 
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "p :%ld OPER(s)",
-			   dlink_list_length (&oper_list));
+			   "p :%ld OPER(s)", dlink_list_length(&oper_list));
 
-	stats_p_spy (source_p);
+	stats_p_spy(source_p);
 }
 
 static void
-stats_ports (struct Client *source_p)
+stats_ports(struct Client *source_p)
 {
-	if(!IsOper (source_p) && ConfigFileEntry.stats_P_oper_only)
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+	if(!IsOper(source_p) && ConfigFileEntry.stats_P_oper_only)
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 	else
-		show_ports (source_p);
+		show_ports(source_p);
 }
 
 static void
@@ -830,8 +813,7 @@
 					form_str(RPL_STATSQLINE),
 					'q', aconf->name, aconf->passwd);
 	}
-	HASH_WALK_END
-}
+HASH_WALK_END}
 
 
 static void
@@ -858,11 +840,10 @@
 					form_str(RPL_STATSQLINE),
 					'Q', aconf->name, aconf->passwd);
 	}
-	HASH_WALK_END
-}
+HASH_WALK_END}
 
 static void
-stats_usage (struct Client *source_p)
+stats_usage(struct Client *source_p)
 {
 #ifndef __VMS
 	struct rusage rus;
@@ -887,8 +868,7 @@
 #else
 	if(getrusage(RUSAGE_SELF, &rus) == -1)
 	{
-		sendto_one_notice(source_p, ":Getruseage error: %s.",
-				  strerror(errno));
+		sendto_one_notice(source_p, ":Getruseage error: %s.", strerror(errno));
 		return;
 	}
 	secs = rus.ru_utime.tv_sec + rus.ru_stime.tv_sec;
@@ -904,8 +884,7 @@
 			   (int) (secs / 60), (int) (secs % 60),
 			   (int) (rus.ru_utime.tv_sec / 60),
 			   (int) (rus.ru_utime.tv_sec % 60),
-			   (int) (rus.ru_stime.tv_sec / 60), 
-			   (int) (rus.ru_stime.tv_sec % 60));
+			   (int) (rus.ru_stime.tv_sec / 60), (int) (rus.ru_stime.tv_sec % 60));
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			   "R :RSS %ld ShMem %ld Data %ld Stack %ld",
 			   rus.ru_maxrss, (rus.ru_ixrss / rup), 
@@ -914,38 +893,33 @@
 			   "R :Swaps %d Reclaims %d Faults %d",
 			   (int) rus.ru_nswap, (int) rus.ru_minflt, (int) rus.ru_majflt);
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "R :Block in %d out %d",
-			   (int) rus.ru_inblock, (int) rus.ru_oublock);
+			   "R :Block in %d out %d", (int) rus.ru_inblock, (int) rus.ru_oublock);
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "R :Msg Rcv %d Send %d",
-			   (int) rus.ru_msgrcv, (int) rus.ru_msgsnd);
+			   "R :Msg Rcv %d Send %d", (int) rus.ru_msgrcv, (int) rus.ru_msgsnd);
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			   "R :Signals %d Context Vol. %d Invol %d",
-			   (int) rus.ru_nsignals, (int) rus.ru_nvcsw, 
-			   (int) rus.ru_nivcsw);
+			   (int) rus.ru_nsignals, (int) rus.ru_nvcsw, (int) rus.ru_nivcsw);
 #endif /* __VMS */
 }
 
 static void
-stats_tstats (struct Client *source_p)
+stats_tstats(struct Client *source_p)
 {
-	tstats (source_p);
+	tstats(source_p);
 }
 
 static void
-stats_uptime (struct Client *source_p)
+stats_uptime(struct Client *source_p)
 {
 	time_t now;
 
 	now = CurrentTime - startup_time;
 	sendto_one_numeric(source_p, RPL_STATSUPTIME, 
-			   form_str (RPL_STATSUPTIME),
-			   now / 86400, (now / 3600) % 24, 
-			   (now / 60) % 60, now % 60);
+			   form_str(RPL_STATSUPTIME),
+			   now / 86400, (now / 3600) % 24, (now / 60) % 60, now % 60);
 	sendto_one_numeric(source_p, RPL_STATSCONN,
-			   form_str (RPL_STATSCONN),
-			   MaxConnectionCount, MaxClientCount, 
-			   Count.totalrestartcount);
+			   form_str(RPL_STATSCONN),
+			   MaxConnectionCount, MaxClientCount, Count.totalrestartcount);
 }
 
 struct shared_flags
@@ -954,21 +928,20 @@
 	char has;
 	char hasnt;
 };
-static struct shared_flags shared_flagtable[] =
-{
-	{ SHARED_KLINE,		'K', 'k' },
-	{ SHARED_UNKLINE,	'U', 'u' },
-	{ SHARED_XLINE,		'X', 'x' },
-	{ SHARED_UNXLINE,	'Y', 'y' },
-	{ SHARED_RESV,		'Q', 'q' },
-	{ SHARED_UNRESV,	'R', 'r' },
-	{ SHARED_LOCOPS,	'L', 'l' },
-	{ 0,			'\0', '\0' }
+static struct shared_flags shared_flagtable[] = {
+	{SHARED_KLINE, 'K', 'k'},
+	{SHARED_UNKLINE, 'U', 'u'},
+	{SHARED_XLINE, 'X', 'x'},
+	{SHARED_UNXLINE, 'Y', 'y'},
+	{SHARED_RESV, 'Q', 'q'},
+	{SHARED_UNRESV, 'R', 'r'},
+	{SHARED_LOCOPS, 'L', 'l'},
+	{0, '\0', '\0'}
 };
 
 
 static void
-stats_shared (struct Client *source_p)
+stats_shared(struct Client *source_p)
 {
 	struct remote_conf *shared_p;
 	dlink_node *ptr;
@@ -996,8 +969,7 @@
 
 		sendto_one_numeric(source_p, RPL_STATSULINE, 
 					form_str(RPL_STATSULINE),
-					shared_p->server, shared_p->username,
-					shared_p->host, buf);
+				   shared_p->server, shared_p->username, shared_p->host, buf);
 	}
 
 	DLINK_FOREACH(ptr, cluster_conf_list.head)
@@ -1019,8 +991,7 @@
 		*p = '\0';
 
 		sendto_one_numeric(source_p, RPL_STATSULINE, 
-					form_str(RPL_STATSULINE),
-					shared_p->server, "*", "*", buf);
+				   form_str(RPL_STATSULINE), shared_p->server, "*", "*", buf);
 	}
 }
 
@@ -1031,7 +1002,7 @@
  * side effects - client is shown lists of who connected servers
  */
 static void
-stats_servers (struct Client *source_p)
+stats_servers(struct Client *source_p)
 {
 	struct Client *target_p;
 	dlink_node *ptr;
@@ -1039,15 +1010,13 @@
 	int days, hours, minutes;
 	int j = 0;
 
-	if(ConfigServerHide.flatten_links && !IsOper(source_p) &&
-	   !IsExemptShide(source_p))
+	if(ConfigServerHide.flatten_links && !IsOper(source_p) && !IsExemptShide(source_p))
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
-	DLINK_FOREACH (ptr, serv_list.head)
+	DLINK_FOREACH(ptr, serv_list.head)
 	{
 		target_p = ptr->data;
 
@@ -1067,13 +1036,11 @@
 				   target_p->name,
 				   (target_p->serv->by[0] ? target_p->serv->by : "Remote."),
 				   (int) (CurrentTime - target_p->localClient->lasttime),
-				   (int) linebuf_len (&target_p->localClient->buf_sendq),
-				   days, (days == 1) ? "" : "s", hours, minutes, 
-				   (int) seconds);
+				   (int) linebuf_len(&target_p->localClient->buf_sendq),
+				   days, (days == 1) ? "" : "s", hours, minutes, (int) seconds);
 	}
 
-	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "V :%d Server(s)", j);
+	sendto_one_numeric(source_p, RPL_STATSDEBUG, "V :%d Server(s)", j);
 }
 
 static void
@@ -1089,8 +1056,7 @@
 		if(aconf->hold)
 			sendto_one_numeric(source_p, RPL_STATSXLINE,
 					form_str(RPL_STATSXLINE),
-					'x', aconf->port, aconf->name,
-					aconf->passwd);
+					   'x', aconf->port, aconf->name, aconf->passwd);
 	}
 }
 
@@ -1107,8 +1073,7 @@
 		if(!aconf->hold)
 			sendto_one_numeric(source_p, RPL_STATSXLINE,
 					form_str(RPL_STATSXLINE),
-					'X', aconf->port, aconf->name, 
-					aconf->passwd);
+					   'X', aconf->port, aconf->name, aconf->passwd);
 	}
 }
 
@@ -1116,37 +1081,36 @@
 stats_class(struct Client *source_p)
 {
 	if(ConfigFileEntry.stats_y_oper_only && !IsOper(source_p))
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 	else
 		report_classes(source_p);
 }
 
 static void
-stats_memory (struct Client *source_p)
+stats_memory(struct Client *source_p)
 {
-	count_memory (source_p);
+	count_memory(source_p);
 }
 
 static void
-stats_ziplinks (struct Client *source_p)
+stats_ziplinks(struct Client *source_p)
 {
 	dlink_node *ptr;
 	struct Client *target_p;
 	int sent_data = 0;
 
-	DLINK_FOREACH (ptr, serv_list.head)
+	DLINK_FOREACH(ptr, serv_list.head)
 	{
 		target_p = ptr->data;
-		if(IsCapable (target_p, CAP_ZIP))
+		if(IsCapable(target_p, CAP_ZIP))
 		{
 			/* we use memcpy(3) and a local copy of the structure to
 			 * work around a register use bug on GCC on the SPARC.
 			 * -jmallett, 04/27/2002
 			 */
 			struct ZipStats zipstats;
-			memcpy (&zipstats, &target_p->localClient->zipstats,
-				sizeof (struct ZipStats)); 
+			memcpy(&zipstats, &target_p->localClient->zipstats,
+			       sizeof(struct ZipStats));
 			sendto_one_numeric(source_p, RPL_STATSDEBUG,
 					    "Z :ZipLinks stats for %s send[%.2f%% compression "
 					    "(%lu kB data/%lu kB wire)] recv[%.2f%% compression "
@@ -1158,12 +1122,11 @@
 		}
 	}
 
-	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "Z :%u ziplink(s)", sent_data);
+	sendto_one_numeric(source_p, RPL_STATSDEBUG, "Z :%u ziplink(s)", sent_data);
 }
 
 static void
-stats_servlinks (struct Client *source_p)
+stats_servlinks(struct Client *source_p)
 {
 	static char Sformat[] = ":%s %d %s %s %u %u %u %u %u :%u %u %s";
 	long uptime, sendK, receiveK;
@@ -1171,17 +1134,15 @@
 	dlink_node *ptr;
 	int j = 0;
 
-	if(ConfigServerHide.flatten_links && !IsOper (source_p) &&
-	   !IsExemptShide(source_p))
+	if(ConfigServerHide.flatten_links && !IsOper(source_p) && !IsExemptShide(source_p))
 	{
-		sendto_one_numeric(source_p, ERR_NOPRIVILEGES,
-				   form_str (ERR_NOPRIVILEGES));
+		sendto_one_numeric(source_p, ERR_NOPRIVILEGES, form_str(ERR_NOPRIVILEGES));
 		return;
 	}
 
 	sendK = receiveK = 0;
 
-	DLINK_FOREACH (ptr, serv_list.head)
+	DLINK_FOREACH(ptr, serv_list.head)
 	{
 		target_p = ptr->data;
 
@@ -1192,7 +1153,7 @@
 		sendto_one(source_p, Sformat,
 			get_id(&me, source_p), RPL_STATSLINKINFO, get_id(source_p, source_p),
 			get_server_name(target_p, SHOW_IP),
-			(int) linebuf_len (&target_p->localClient->buf_sendq),
+			   (int) linebuf_len(&target_p->localClient->buf_sendq),
 			(int) target_p->localClient->sendM,
 			(int) target_p->localClient->sendK,
 			(int) target_p->localClient->receiveM,
@@ -1200,30 +1161,27 @@
 			CurrentTime - target_p->localClient->firsttime,
 			(CurrentTime > target_p->localClient->lasttime) ? 
 			 (CurrentTime - target_p->localClient->lasttime) : 0,
-			IsOper (source_p) ? show_capabilities (target_p) : "TS");
+			   IsOper(source_p) ? show_capabilities(target_p) : "TS");
 	}
 
-	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "? :%u total server(s)", j);
+	sendto_one_numeric(source_p, RPL_STATSDEBUG, "? :%u total server(s)", j);
 
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "? :Sent total : %7.2f %s",
-			   _GMKv (sendK), _GMKs (sendK));
+			   "? :Sent total : %7.2f %s", _GMKv(sendK), _GMKs(sendK));
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			   "? :Recv total : %7.2f %s",
-			   _GMKv (receiveK), _GMKs (receiveK));
+			   "? :Recv total : %7.2f %s", _GMKv(receiveK), _GMKs(receiveK));
 
 	uptime = (CurrentTime - startup_time);
 
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			   "? :Server send: %7.2f %s (%4.1f K/s)",
-			   _GMKv (me.localClient->sendK), 
-			   _GMKs (me.localClient->sendK),
+			   _GMKv(me.localClient->sendK),
+			   _GMKs(me.localClient->sendK),
 			   (float) ((float) me.localClient->sendK / (float) uptime));
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			   "? :Server recv: %7.2f %s (%4.1f K/s)",
-			   _GMKv (me.localClient->receiveK),
-			   _GMKs (me.localClient->receiveK),
+			   _GMKv(me.localClient->receiveK),
+			   _GMKs(me.localClient->receiveK),
 			   (float) ((float) me.localClient->receiveK / (float) uptime));
 }
 
@@ -1312,8 +1270,7 @@
 }
 
 void
-stats_l_client(struct Client *source_p, struct Client *target_p,
-		char statchar)
+stats_l_client(struct Client *source_p, struct Client *target_p, char statchar)
 {
 	if(IsAnyServer(target_p))
 	{
